
QGIS Application - Bug report #6162

Incorrect placement of ABC labels

2012-08-07 01:56 AM - magerlin -

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15483

Description

When trying to label a polygon layer I wanted to place the label over the polygon centroids.

This should be possible by selecting the ABC Advanced pane and ticking off "over centroid".

But it seems ABC is rather poor at calculating the centroids. See more here:

[[http://osgeo-org.1560.n6.nabble.com/Incorrect-placement-of-ABC-labels-td4992143.html#a4992346]]

Example shp is attached. Try to use ABC labelling wiusing fid as label and ask for "over centroid" placement.

History

#1 - 2012-08-08 05:53 AM - Serge Dikiy

duplicate #5256 #4634

https://github.com/qgis/Quantum-GIS/pull/201

#2 - 2012-08-12 01:19 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#3 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#4 - 2012-09-04 12:25 PM - Larry Shaffer

Should be fixed with commit commit:61a50225

Please test.

#5 - 2012-09-04 12:36 PM - Paolo Cavallini

- Status changed from Open to Feedback

#6 - 2012-09-16 02:40 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

Files

Error_in_label_placement.zip 1.75 KB 2012-08-06 magerlin -
